
import sys
import libxsltmod
import testmod

def translate(styleSheetName, fileStems):
    stylesheet = libxsltmod.compile_stylesheet('f', styleSheetName, None)
    idx = 0
    while idx < len(fileStems):
#    for fileStem in fileStems:
        fileStem = fileStems[idx]
        print 'fileStem:', fileStem
        infileName = fileStem + '.xml'
        outfileName = fileStem + '.html'
        print 'Transforming: %s --> %s' % (infileName, outfileName)
        result = libxsltmod.translate_to_string(
            'c', stylesheet, 'f', infileName, None)
        #print 'result:', result
        #outfile = open(outfileName, 'w')
        #outfile.write(result)
        #outfile.close()
        idx += 1
    print 'stylesheet:', stylesheet



USAGE_STRING = """\
Usage: python test_to_string_compiled.py <stylesheetfile> <xmlfilestem> <xmlfilestem> ...
Example:
    python test_to_string_compiled.py camping_format.xsl camping_list1 camping_list2
"""

def usage():
    print USAGE_STRING
    sys.exit(-1)


def main():
    args = sys.argv[1:]
    if len(args) < 2:
        usage()
    stylesheetName = args[0]
    fileStems = args[1:]
    translate(stylesheetName, fileStems)


if __name__ == '__main__':
    main()

